TemplateSigC::retype_slot_functor< T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 > struct Reference

Main Page Groups Namespaces

# SigC::retype_slot_functor< T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 > Struct Template Reference

Inheritance diagram for SigC::retype_slot_functor< T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >:

[legend]
List of all members.

## Public Types
typedef void | result_type
## Public Member Functions
void | operator() ()
template <class T_arg1> void | operator() (T_arg1 _A_a1)
template <class T_arg1> void | sun_forte_workaround (T_arg1 _A_a1)
template <class T_arg1, class T_arg2> void | operator() (T_arg1 _A_a1, T_arg2 _A_a2)
template <class T_arg1, class T_arg2> void | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2)
template <class T_arg1, class T_arg2, class T_arg3> void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template <class T_arg1, class T_arg2, class T_arg3> void | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4> void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4> void | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5> void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5> void | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6> void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6> void | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7> void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7> void | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
| retype_slot_functor (typename::sigc::type_trait<T_functor>::take _A_functor)

### template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
struct SigC::retype_slot_functor< T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >

## Member Typedef Documentation

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
typedef void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::result_type

| Reimplemented from sigc::adapts<T_functor>.

## Member Function Documentation

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6,
|  | T_arg7 | _A_a7
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1, class T_arg2, class T_arg3>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1, class T_arg2>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1 | ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( |  | ) |

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::retype_slot_functor | ( | typename::sigc::type_trait<T_functor>::take | _A_functor | ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6,
|  | T_arg7 | _A_a7
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1, class T_arg2, class T_arg3>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1, class T_arg2>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
template <class T_arg1>
void SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1 | ) | `[inline]`

The documentation for this struct was generated from the following file:

- retype.h